PSW_RGB_POLYGON(3)

FUNCTION
psw_rgb_polygon - Write a colour polygon to a PostScriptPage object.

SYNOPSIS
#include <karma_psw.h>

flag psw_rgb_polygon

(PostScriptPage pspage, double red, double green, double blue, CONST double *x_arr, CONST double *y_arr, unsigned int num_points, flag fill)

DESCRIPTION
Write a colour polygon to a PostScriptPage object.

pspage
    The PostScriptPage object.

red The red component value. The range is: 0.0 (dark) to 1.0 (light)

green
    The green component value. The range is: 0.0 (dark) to 1.0 (light)

blue
    The blue component value. The range is: 0.0 (dark) to 1.0 (light)

x_arr
    The array of x vertices. This is scaled from 0.0 to 1.0

y_arr
    The array of y vertices. This is scaled from 0.0 to 1.0

num_points
    The number of vertices.

fill
    If TRUE, the polygon is filled.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/